Package Details: bitsquare-git 0.4.9.6.r0.gdab1b56-1

Git Clone URL: https://aur.archlinux.org/bitsquare-git.git (read-only)
Package Base: bitsquare-git
Description: Cross-platform desktop application that allows users to trade national currency (dollars, euros, etc) for bitcoin without relying on centralized exchanges
Upstream URL: https://bitsquare.io/
Licenses: AGPL3
Submitter: dmp1ce
Maintainer: dmp1ce
Last Packager: dmp1ce
Votes: 5
Popularity: 0.037696
First Submitted: 2015-05-26 02:35
Last Updated: 2016-09-05 12:11

Latest Comments

dmp1ce commented on 2017-07-25 01:08

New development has moved to bisq-git, but bisq-git may not be currently building. In that case, please try bisq or bisq-bin.

dmp1ce commented on 2017-07-08 03:33

New development has moved to bisq-git.

dmp1ce commented on 2016-07-01 20:37

I added jdk8-openjdk as a make dependency. Maybe that will help with the building. I'm not sure if jdk8-openjdk is needed to run.

pizzaman commented on 2016-06-29 07:24

Error while building:
"Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.2:compile (default-compile) on project bitcoinj-examples: Fatal error compiling: invalid target release: 1.8 -> [Help 1]"
Fixed by:
Installing jdk8-openjdk
archlinux-java status --> java-8-openjdk (default)

Maybe should be added as a dependency?

dmp1ce commented on 2016-02-18 10:54

I'm not exactly sure how to to install this package either. It looks like bitcoinj should be a separate package which is a dependency of this package. bitcoinj doesn't exist as a package though.

sva_h4cky0 commented on 2016-02-18 10:48

honestly i dont know a thing about maven, i just read bitsquare build doc and blindly applying to pkgbuild. if someone know how to do it right, i'll be happy archer :)

dmp1ce commented on 2016-02-18 10:25

@sva_h4cky0

I don't think we should use `mvn install` during the build step. Installing should only take place after the package step. Isn't that right?

sva_h4cky0 commented on 2016-02-16 14:25

bello buddy, this is work for me https://gist.github.com/anonymous/ce585b6141252f1ca390

dmp1ce commented on 2016-02-02 03:26

I've updated the dependency for openjfx. Right now the build is broken, I think due to upstream. My build couldn't find the bitcoinj dependency.

stevenroose commented on 2016-02-01 15:43

It does not take this package as a fulfillment of the openjfx dependency.
https://www.archlinux.org/packages/extra/i686/java-openjfx/